package _02_注释;

public class Test {

    public static void main(String[] args) {
        // 这是一个单行注释

        /*
             这是多行注释
             这是多行注释
             这是多行注释
         */

        /**
         *  这是一个文档注释
         *  文档注释内容最终会生成到文档中
         *
         *  简单理解 文档注释和多行注释相同
         *
         *
         *
         */

        // 注释的作用: 其实就是多余代码解释
        // 问题: 我们的代码为什么要写注释呢
        /**
         * 为了你同事方便看你的代码 , 也为了你看你同事代码
         * 彼此之间最好写代码的时候写上注释 , 这样看代码时候就方便了
         *
         * 注释当中代码会不会执行呢?
         *  System.out.println(123);
         *  他不会执行 只是起到一个注释解释作用
         */
        System.out.println(123);
        System.out.println(123);
        System.out.println(123);
        System.out.println(123);
        System.out.println(123);

    }
}
